#include "G4HumanPhantomHit.h"

#include "G4Circle.hh"
#include "G4Colour.hh"
#include "G4UnitsTable.hh"
#include "G4VVisManager.hh"
#include "G4VisAttributes.hh"

// THIS IS NECESSARY FOR MT MODE
G4ThreadLocal G4Allocator<G4HumanPhantomHit>* G4HumanPhantomHitAllocator = 0;

G4HumanPhantomHit::G4HumanPhantomHit() {}

G4HumanPhantomHit::~G4HumanPhantomHit() {}

G4HumanPhantomHit::G4HumanPhantomHit(const G4HumanPhantomHit& right) : G4VHit() {
    bodyPartID = right.bodyPartID;
    edep = right.edep;
}

const G4HumanPhantomHit& G4HumanPhantomHit::operator=(const G4HumanPhantomHit& right) {
    bodyPartID = right.bodyPartID;
    edep = right.edep;
    return *this;
}

G4bool G4HumanPhantomHit::operator==(const G4HumanPhantomHit& right) const { return (this == &right) ? true : false; }

void G4HumanPhantomHit::Draw() {}

void G4HumanPhantomHit::Print() {
    G4cout << "Energy deposit: " << G4BestUnit(edep, "Energy") << "BodyPartID: " << bodyPartID << G4endl;
}
